package sun.util.logging;

import java.util.List;

public interface LoggingProxy
{
    public abstract Object getLogger(String p0);
    
    public abstract Object getLevel(Object p0);
    
    public abstract void setLevel(Object p0, Object p1);
    
    public abstract boolean isLoggable(Object p0, Object p1);
    
    public abstract void log(Object p0, Object p1, String p2);
    
    public abstract void log(Object p0, Object p1, String p2, Throwable p3);
    
    public abstract void log(Object p0, Object p1, String p2, Object... p3);
    
    public abstract List<String> getLoggerNames();
    
    public abstract String getLoggerLevel(String p0);
    
    public abstract void setLoggerLevel(String p0, String p1);
    
    public abstract String getParentLoggerName(String p0);
    
    public abstract Object parseLevel(String p0);
    
    public abstract String getLevelName(Object p0);
    
    public abstract int getLevelValue(Object p0);
    
    public abstract String getProperty(String p0);
}
